/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-02 13:17:44
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-15 10:02:10
 * @FilePath: \electron-project\Robot-Al\Robot-Al-Platform-Web\src\renderer\src\main.ts
 * @Description: 入口文件
 */

import './styles/tailwind.scss'
import './styles/main.scss'
import { createApp } from 'vue'
import App from './App.vue'
import router from '@router'
import { createPinia } from 'pinia'

import setupElementPlus from '@/plugins/elementPlus'

const app = createApp(App)
setupElementPlus(app)
app.use(router).use(createPinia())

app.mount('#app')
